Package com.ocient.jdbc.proto

## Class PlanProtocol.ComputeConfiguration.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.ComputeConfiguration.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ComputeConfigurationOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ComputeConfiguration

    public static final class PlanProtocol.ComputeConfiguration.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>
    implements PlanProtocol.ComputeConfigurationOrBuilder

    a (potentially partial) compute configuration, when it is being returned during
    a query probe operation. This is simply a container message

Protobuf type `xg.db.sqlPlans.ComputeConfiguration`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`PlanProtocol.ComputeConfiguration.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ComputeConfiguration` `build()`
`PlanProtocol.ComputeConfiguration` `buildPartial()`
`PlanProtocol.ComputeConfiguration.Builder` `clear()`
`PlanProtocol.ComputeConfiguration.Builder` `clearComputeConfiguration()`
`PlanProtocol.ComputeConfiguration.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.ComputeConfiguration.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.ComputeConfiguration.Builder` `clone()`
`boolean` `containsComputeConfiguration​(int key)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`Map<Integer,​PlanProtocol.ExecutionClusters>` `getComputeConfiguration()` Deprecated.
`int` `getComputeConfigurationCount()` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`Map<Integer,​PlanProtocol.ExecutionClusters>` `getComputeConfigurationMap()` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ExecutionClusters` `getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ExecutionClusters` `getComputeConfigurationOrThrow​(int key)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ComputeConfiguration` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Map<Integer,​PlanProtocol.ExecutionClusters>` `getMutableComputeConfiguration()` Deprecated.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`PlanProtocol.ComputeConfiguration.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.ComputeConfiguration.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.ComputeConfiguration.Builder` `mergeFrom​(PlanProtocol.ComputeConfiguration other)`
`PlanProtocol.ComputeConfiguration.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ComputeConfiguration.Builder` `putAllComputeConfiguration​(Map<Integer,​PlanProtocol.ExecutionClusters> values)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ComputeConfiguration.Builder` `putComputeConfiguration​(int key, PlanProtocol.ExecutionClusters value)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ComputeConfiguration.Builder` `removeComputeConfiguration​(int key)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ComputeConfiguration.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ComputeConfiguration.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.ComputeConfiguration.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### clear

    public PlanProtocol.ComputeConfiguration.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.ComputeConfiguration getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.ComputeConfiguration build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.ComputeConfiguration buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.ComputeConfiguration.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### setField

    public PlanProtocol.ComputeConfiguration.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### clearField

    public PlanProtocol.ComputeConfiguration.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### clearOneof

    public PlanProtocol.ComputeConfiguration.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### setRepeatedField

    public PlanProtocol.ComputeConfiguration.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### addRepeatedField

    public PlanProtocol.ComputeConfiguration.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### mergeFrom

    public PlanProtocol.ComputeConfiguration.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### mergeFrom

    public PlanProtocol.ComputeConfiguration.Builder mergeFrom​(PlanProtocol.ComputeConfiguration other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### mergeFrom

    public PlanProtocol.ComputeConfiguration.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ComputeConfiguration.Builder>`
Throws:
  `IOException`

#### getComputeConfigurationCount

    public int getComputeConfigurationCount()

Description copied from interface: `PlanProtocol.ComputeConfigurationOrBuilder`
`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

Specified by:
  `getComputeConfigurationCount` in interface `PlanProtocol.ComputeConfigurationOrBuilder`

#### containsComputeConfiguration

    public boolean containsComputeConfiguration​(int key)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

Specified by:
  `containsComputeConfiguration` in interface `PlanProtocol.ComputeConfigurationOrBuilder`

#### getComputeConfiguration

    @Deprecated
    public Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfiguration()

Deprecated.
Use `getComputeConfigurationMap()` instead.

Specified by:
  `getComputeConfiguration` in interface `PlanProtocol.ComputeConfigurationOrBuilder`

#### getComputeConfigurationMap

    public Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfigurationMap()

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

Specified by:
  `getComputeConfigurationMap` in interface `PlanProtocol.ComputeConfigurationOrBuilder`

#### getComputeConfigurationOrDefault

    public PlanProtocol.ExecutionClusters getComputeConfigurationOrDefault​(int key,
                                                                           PlanProtocol.ExecutionClusters defaultValue)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

Specified by:
  `getComputeConfigurationOrDefault` in interface `PlanProtocol.ComputeConfigurationOrBuilder`

#### getComputeConfigurationOrThrow

    public PlanProtocol.ExecutionClusters getComputeConfigurationOrThrow​(int key)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

Specified by:
  `getComputeConfigurationOrThrow` in interface `PlanProtocol.ComputeConfigurationOrBuilder`

#### clearComputeConfiguration

    public PlanProtocol.ComputeConfiguration.Builder clearComputeConfiguration()

#### removeComputeConfiguration

    public PlanProtocol.ComputeConfiguration.Builder removeComputeConfiguration​(int key)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### getMutableComputeConfiguration

    @Deprecated
    public Map<Integer,​PlanProtocol.ExecutionClusters> getMutableComputeConfiguration()

Deprecated.
Use alternate mutation accessors instead.

#### putComputeConfiguration

    public PlanProtocol.ComputeConfiguration.Builder putComputeConfiguration​(int key,
                                                                             PlanProtocol.ExecutionClusters value)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### putAllComputeConfiguration

    public PlanProtocol.ComputeConfiguration.Builder putAllComputeConfiguration​(Map<Integer,​PlanProtocol.ExecutionClusters> values)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### setUnknownFields

    public final PlanProtocol.ComputeConfiguration.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.ComputeConfiguration.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ComputeConfiguration.Builder>`